/*
 * Class INDEXABLE [INTEGER_16, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_757 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_757 [] = {0xFF01,237,756,209,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_757 [] = {0xFF01,756,209,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_757 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_757 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_757 [] = {0xFF01,756,209,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_757 [] = {0xFF01,756,209,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_757 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_757 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_757 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_757 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_757 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_757 [] = {756,209,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_757 [] = {0xFF01,756,209,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_757 [] = {0xFF01,758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_757 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_757 [] = {0xFF01,750,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_757 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_757 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_757 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_757 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_757 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_22_757 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_757[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_757), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_757), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_757), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_757), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_757), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_757), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_757), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_757), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_757), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_757), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_757), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_757), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_757), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_757), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1916, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1917, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1918, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_757), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_757), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1962, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1982, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1963, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1964, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_757), 3381, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_757), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_757), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_757), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_757), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_757), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_757), -1, 0xFFFFFFFF},
};
void Init757(void)
{
	IDSC(desc_757, 0, 756);
	IDSC(desc_757 + 1, 1, 756);
	IDSC(desc_757 + 32, 77, 756);
	IDSC(desc_757 + 41, 282, 756);
	IDSC(desc_757 + 50, 99, 756);
	IDSC(desc_757 + 52, 187, 756);
	IDSC(desc_757 + 58, 256, 756);
	IDSC(desc_757 + 61, 229, 756);
	IDSC(desc_757 + 62, 172, 756);
}


#ifdef __cplusplus
}
#endif
